@import url('https://fonts.googleapis.com/css2?family=Righteous&family=Work+Sans:wght@100;300;400;600;800&display=swap');
* {
    box-sizing: border-box;
    font-family: 'Work Sans';
    margin: 0;
    padding: 0;
}


html {
    /* me permite deslizar cuando hago clic en los links del menu */
    scroll-behavior: smooth;
}

html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    overflow-x: hidden;
}


/*sec cv*/




.sec-cv {
    background: linear-gradient(to top, rgba(30, 35, 38, .8), rgba(30, 35, 38, 1)),
        url(../img/fondo2.webp);
    background-size: cover;
    height: 100vh;
    color: #fff;
    display: flex;
    align-items: center;
}

.sec-cv embed{
    
    width: 480px;
    height: 485px;
    padding: 1rem;
    
}
@media (max-width: 968px) 
{
    
.sec-cv embed{
    
   display: none;
    
}
}

.sec-cv .contenido-banner {
    margin-right: 5rem;
    padding: 0.95rem;
    background-color: #1e2326;
    max-width: 350px;
    margin: 0.5rem auto 0.5rem;
    text-align: center;
    border-radius: 2rem;
    z-index: 2;
}



@media screen and (max-width: 768px) {
    .sec-cv .contenido-banner {    
        margin: 1.5rem auto 0.5rem;
    }
}

@keyframes float {
    0% {
        box-shadow: 0 5px 15px 0px rgba(0, 0, 0, 0.6);
        transform: translatey(0px);
    }

    50% {
        box-shadow: 0 25px 15px 0px rgba(0, 0, 0, 0.2);
        transform: translatey(-20px);
    }

    100% {
        box-shadow: 0 5px 15px 0px rgba(0, 0, 0, 0.6);
        transform: translatey(0px);
    }
}

.sec-cv .contenido-banner img {
    margin-top: 40px;
    border: 10px solid #1CB698;
    display: block;
    width: 80%;
    margin: auto;
    border-radius: 50%;
    animation: float 6s ease-in-out infinite;


}

.sec-cv .contenido-banner h1 {
    margin-top: 40px !important;
    font-size: 42px !important;
    font-family: 'Righteous' !important;
}

.inicio .contenido-banner h2 {
    font-size: 15px !important;
    font-weight: normal !important;
}


.sec-cv .contenido-banner h2 a {
    font-size: 15px !important;
    font-weight: normal !important;
}

.contenido-banner h2 a,
.sec-cv h2 a {
    color: #1CB698;
    text-decoration: none;
    font-weight: bold;
}

.contenido-banner h2 a:hover,
.sec-cv h2 a:hover {
    color: #FF6600;
}

.sec-cv .contenido-banner .redes a {
    color: #fff;
    display: inline-block;
    text-decoration: none;
    border: 1px solid #fff;
    border-radius: 100%;
    width: 42px;
    height: 42px;
    line-height: 42px;
    margin: 40px 8px;
    font-size: 20px;
    transition: .3s;
}

.sec-cv .contenido-banner .redes a:hover {
    background-color: #1CB698;
} 







/* SECCION I N I C I O */

.inicio {
    background: linear-gradient(to top, rgba(30, 35, 38, .8), rgba(30, 35, 38, 1)), url(../img/fondo2.webp);
    background-size: cover;
    height: 110vh;
    color: #fff;
    display: flex;
    align-items: center;
}


.box {
    display: none;
}

@media (min-width: 1080px) {
    .box {
        display: block;
        position: absolute;
        background: url(../img/fondo2.webp);
        background-attachment: fixed;
        background-size: cover;
        height: 100vh;
        align-items: center;
        z-index: 1;
    }
}

.inicio .contenido-banner {
    padding: 0.95rem;
    background-color: #1e2326;
    max-width: 350px;
    margin: 2.5rem auto 0.5rem;
    text-align: center;
    border-radius: 2rem;
    z-index: 2;
    
}

@media screen and (max-width: 968px) and (min-width: 739px) {
    .inicio .contenido-banner {
        max-width: 480px;
        height: 17rem;
        margin: 8.5rem auto 0.5rem;
        padding: 0.95rem;
        background-color: #1e2326;
        border-radius: 2rem;
        z-index: 2;
        display: grid; /* Usar CSS Grid */
        grid-template-rows: auto auto 1fr; /* Definir tres filas: una para h1, otra para h2, y otra para las redes */
        gap: 1rem; /* Espacio entre las filas */
    }
    
    .inicio .contenido-banner h1 {
        justify-self: end;
        grid-row: 1; /* Colocar h1 en la primera fila */
    }
    
    .inicio .contenido-banner h2 {
        justify-self: end;
        grid-row: 2; /* Colocar h2 en la segunda fila */
    }
    .inicio .contenido-banner h4 {
        justify-self: end;
        grid-row: 3; /* Colocar h4 en la tercera fila */
    }
    
    .inicio .contenido-banner .redes {
        margin: -40px 0 0 0;
        grid-row: 4; /* Colocar las redes en la cuarta fila */
    }
    .inicio .contenido-banner .contenedor-img {
        justify-self: left;
        margin: -270px 300px 0 0;
        grid-row: 5; /* Colocar el contenedor de imagen en la quinta fila */
    }
    .inicio .contenido-banner .contenedor-img-gracias {
        justify-self: left;
        margin: -232px 319px 0 -9px;
        grid-row: 5;
    }
    .inicio .contenido-banner .contenedor-img-discord {
        justify-self: left;
        margin: -274px 150px 0px -19px;
        grid-row: 5;
    }

    .redes .discord{
        margin: -20px -185px 0 0;
    }
}


@media screen and (max-width: 768px) {
    .inicio .contenido-banner {    
        /* Puedes ajustar este valor según tus necesidades */
        margin: 8.5rem auto 0.5rem;
    }
}

@keyframes float {
    0% {
        box-shadow: 0 5px 15px 0px rgba(0, 0, 0, 0.6);
        transform: translatey(0px);
    }

    50% {
        box-shadow: 0 25px 15px 0px rgba(0, 0, 0, 0.2);
        transform: translatey(-20px);
    }

    100% {
        box-shadow: 0 5px 15px 0px rgba(0, 0, 0, 0.6);
        transform: translatey(0px);
    }
}

.inicio .contenido-banner img {
    margin-top: 40px;
    border: 10px solid #1CB698;
    display: block;
    width: 80%;
    margin: auto;
    border-radius: 50%;
    animation: float 6s ease-in-out infinite;


}

.inicio .contenido-banner h1 {
    margin-top: 40px !important;
    font-size: 42px !important;
    font-family: 'Righteous' !important;
}

/* Desactivar estilos de Bootstrap para h2 */
.inicio .contenido-banner h2 {
    font-size: 15px !important;
    font-weight: normal !important;
}


.fondo-negro {
    background-color: black;
    /* Establece el color de fondo en negro */
    padding: 10px;
    /* Añade relleno alrededor del texto para que se vea mejor */
    display: inline-block;
    /* Permite que el fondo se aplique solo al área ocupada por el texto */
}

.botonCopiar {
    padding: 0.5rem;
    border: none;
    background-color: #1CB698;
    font-family: 'Righteous';
}

.botonCopiar:hover {
    background-color: #0c594a;
}

.inicio .contenido-banner h2 a {
    font-size: 15px !important;
    font-weight: normal !important;
}

.contenido-banner h2 a,
.inicio h2 a {
    /* Estilos para los enlaces dentro de h2 en contenido-banner y inicio */
    color: #1CB698;
    /* Color del texto */
    text-decoration: none;
    /* Quita el subrayado del enlace */
    font-weight: bold;
    /* Peso de la fuente */
    /* Agrega otros estilos según tu diseño */
}

.contenido-banner h2 a:hover,
.inicio h2 a:hover {
    /* Estilos para cuando el cursor pasa sobre los enlaces */
    color: #FF6600;
    /* Cambia el color del texto al pasar el cursor */
    /* Agrega otros estilos según tu diseño */
}

.inicio .contenido-banner .redes a {
    color: #fff;
    display: inline-block;
    text-decoration: none;
    border: 1px solid #fff;
    border-radius: 100%;
    width: 42px;
    height: 42px;
    line-height: 42px;
    margin: 40px 8px;
    font-size: 20px;
    transition: .3s;
}

.inicio .contenido-banner .redes a:hover {
    background-color: #1CB698;
}






footer {
    background-color: #252A2E;
    color: #fff;
    padding: 50px 0 30px 0;
    text-align: center;
    position: relative;
    width: 100%;
    z-index: 2;
}

footer .redes {
    margin-bottom: 20px;
}

footer .redes a {
    color: #fff;
    display: inline-block;
    text-decoration: none;
    border: 1px solid #fff;
    border-radius: 100%;
    width: 42px;
    height: 42px;
    line-height: 42px;
    margin: 40px 5px;
    font-size: 20px;
    transition: .3s;
}

footer .arriba {
    display: block;
    width: 50px;
    height: 50px;
    background-color: #1CB698;
    color: #fff;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: -25px;
    border-radius: 50%;
    line-height: 50px;
    font-size: 18px;
}

/* SECCION RESPONSIVE */


.sobremi .fila .col li {
    display: flex;
    align-items: center;
    /* Alinea verticalmente los íconos y el texto */
    padding: 5px 0;
    /* Añade espacio entre cada elemento de la lista */
    max-width: 90%;
    /* Limita el ancho máximo del texto */
    margin: 0 auto;
    /* Centra la lista en dispositivos móviles */
}

@media (max-width: 768px) {
    .sobremi .fila .col li {
        font-size: 14px;
        /* Reducir el tamaño del texto para dispositivos móviles */
        flex-wrap: wrap;
        /* Envuelve los elementos en dispositivos móviles si el contenido es demasiado largo */
    }
}

@media screen and (max-width:768px) {
    .sobremi .fila {
        display: block;
    }

    .sobremi .fila .col {
        width: fit-content;
    }

    .skills .fila {
        display: block;
    }

    .skills .fila .col {
        width: 100%;
    }

    .skills .fila .col .barra-skill {
        width: 100%;
    }

    .curriculum .fila {
        display: block;
    }

    .curriculum .fila .col {
        width: 90%;
    }

    .curriculum .fila .derecha {
        margin-left: 20px;
    }

    .portfolio .galeria {
        display: block;
        width: 100%;
    }

    .portfolio .galeria .proyecto {
        max-width: 100%;
    }

    .portfolio .galeria .proyecto img {
        width: 100%;
    }

    .contacto .fila {
        display: block;
        flex-wrap: wrap; /* Permite que los elementos se envuelvan en pantallas pequeñas */
    }

    .contacto .fila .col {
        width: 100%;
    }
}
.boton-omitir{
    text-decoration: none;
    font-weight: bold;
    }
.boton-omitir:hover{
color: #FF6600;

}

    .animacion-hoverme::before {  
        transform: scaleX(0);
        transform-origin: bottom right;
    }
    
    .animacion-hoverme:hover::before {
        transform: scaleX(1);
        transform-origin: bottom left;
    }
    
    .animacion-hoverme::before {
        content: " ";
        display: block;
        position: absolute;
        top: 0; right: 0; bottom: 0; left: 0;
        inset: 0 0 0 0;
        background: #3ae9c6;
        z-index: -1;
        transition: transform .3s ease;
    }
    .animacion-hoverme{
        position: relative;
        font-size: 5rem;
      }

      

:root {
  --neon-text-color: #f40;
  --neon-border-color: #08f;
}

.foco-led {
    font-size: 2.6rem;
    font-weight: 400;
    text-align: center;
    font-style: italic;
    color: #fff;
    padding: 1rem 0 0.5rem;
    border: 0.4rem solid #fff;
    border-radius: 2rem;
    text-transform: uppercase;
    margin: -40px 5rem 5.2rem 5rem;
    animation: flicker-led 1.5s infinite;
    will-change: text-shadow, box-shadow, opacity;
  }

  @media (max-width: 968px) {
    .foco-led {
      margin: -5px 3rem 5.2rem 3rem;
    }
}  

.foco-led::-moz-selection {
  background-color: var(--neon-border-color);
  color: var(--neon-text-color);
}

.foco-led::selection {
  background-color: var(--neon-border-color);
  color: var(--neon-text-color);
}

.foco-led:focus {
  outline: none;
}

 /* .neonText {
  color: #fff;
  text-shadow:
    0 0 7px #fff,
    0 0 10px #fff,
    0 0 21px #fff,
    0 0 42px #0fa,
    0 0 82px #0fa,
    0 0 92px #0fa,
    0 0 102px #0fa,
    0 0 151px #0fa;
  font-size: 2.5rem;
  margin-right: 1rem;
  margin-left: 3rem;
  position: relative;
  top: 220px; 
  opacity: 0.8;
  animation: flicker 1.5s infinite alternate;
  will-change: text-shadow, opacity;
} */

@keyframes flicker-led {
  0%, 19%, 21%, 23%, 25%, 54%, 56%, 100% {
    text-shadow:
      -0.2rem -0.2rem 1rem #fff,
      0.2rem 0.2rem 1rem #fff,
      0 0 2rem var(--neon-text-color),
      0 0 4rem var(--neon-text-color),
      0 0 6rem var(--neon-text-color),
      0 0 8rem var(--neon-text-color),
      0 0 10rem var(--neon-text-color);
    box-shadow:
      0 0 0.5rem #fff,
      inset 0 0 0.5rem #fff,
      0 0 2rem var(--neon-border-color),
      inset 0 0 2rem var(--neon-border-color),
      0 0 4rem var(--neon-border-color),
      inset 0 0 4rem var(--neon-border-color);
  }

  20%, 24%, 55% {
    text-shadow: none;
    box-shadow: none;
  }
}



/* efecto movimiento */

.mensaje {
    display: inline-block;
    animation: desplazar 17s linear infinite; /* Duración y tipo de animación */
    padding-right: 45rem; /* Espacio entre palabras */
    text-shadow: 0 0 10px rgba(28, 182, 152, 0.8); /* Sombra de texto con efecto neon */
    white-space: nowrap; /* Asegura que el texto no se divida en varias líneas */
  }


  
  @keyframes desplazar {
    0% {
      transform: translateX(100%); /* Comienza fuera del borde derecho */
    }
    100% {
      transform: translateX(-100%); /* Termina fuera del borde izquierdo */
    }
  }

  .custom-link{
    color: #1CB698;
    text-decoration: none;
    font-weight: bold;
  }
  .custom-link:hover {
    color: #ff6347; /* Cambia este valor al color que desees para el hover */
}